#include <glad/glad.h>
#include <GLFW/glfw3.h>

int main()
{
    // Initialization
    glfwInit();                     // Initialize the GLFW library
                                    // Create a window
    GLFWwindow *window = glfwCreateWindow(256, 256, "Empty Window", nullptr, nullptr);
    glfwMakeContextCurrent(window); // Create OpenGL context for drawing
    gladLoadGL();                   // Initialize the GLFW library

    glClearColor(0.2f, 0.3f, 0.3f, 1.0f); // Set a color for clearing a canvas

    // Run the render loop
    while (!glfwWindowShouldClose(window))
    {
        // Check if any events have been activiated
        // (key pressed, mouse moved etc.) and call
        // corresponding response functions
        glfwPollEvents();

        glClear(GL_COLOR_BUFFER_BIT);   // Clear the canvas with the color
        glfwSwapBuffers(window);        // Swap the front and back buffer
    }

    // Destroy all GLFW library things: windows and so on
    glfwTerminate();

    return 0;
}